Loading...
Searching...
No Matches
Constants Class Reference

The Constants class. More...

`#include <plugins/Utils/constants.h>`

## Public Member Functions

| Constants (QObject *parent=0)
int | indicatorValueTimeout () const
QString | defaultWallpaper () const
QString | defaultLogo () const

## Properties

int | indicatorValueTimeout
QString | defaultWallpaper
QString | defaultLogo

## Detailed Description

The Constants class.

This singleton class exposes contants to Qml

Definition at line 28 of file constants.h.

## Constructor & Destructor Documentation

## Constants()

Constants::Constants | ( | QObject * | parent = 0 | ) |

Definition at line 21 of file constants.cpp.

: QObject(parent)
{
if (qEnvironmentVariableIsEmpty("QT_LOAD_TESTABILITY")) {
m_indicatorValueTimeout = 30000;
} else {
m_indicatorValueTimeout = 5000;
}
QString snapRoot = QFile::decodeName(qgetenv("SNAP"));
m_defaultWallpaper = snapRoot + "/usr/share/backgrounds/lomiri-default-background.png";
m_defaultLogo = snapRoot + "/usr/share/lomiri/Launcher/graphics/home.svg";
}

## Member Function Documentation

## defaultLogo()

QString Constants::defaultLogo | ( |  | ) | const

inline

Definition at line 40 of file constants.h.

{ return m_defaultLogo; }

## defaultWallpaper()

QString Constants::defaultWallpaper | ( |  | ) | const

inline

Definition at line 39 of file constants.h.

{ return m_defaultWallpaper; }

## indicatorValueTimeout()

int Constants::indicatorValueTimeout | ( |  | ) | const

inline

Definition at line 38 of file constants.h.

{ return m_indicatorValueTimeout; }

## Property Documentation

## defaultLogo

QString Constants::defaultLogo

read

Definition at line 33 of file constants.h.

## defaultWallpaper

QString Constants::defaultWallpaper

read

Definition at line 32 of file constants.h.

## indicatorValueTimeout

int Constants::indicatorValueTimeout

read

Definition at line 31 of file constants.h.

The documentation for this class was generated from the following files:

- plugins/Utils/constants.h
- plugins/Utils/constants.cpp